# Price Check for bookings

Price check for a specific availability search by its Option ID. Option ID should be chosen among Room IDs returned by the search endpoint inside Room objects. If there is a price change status you will see the change in the pricing and null otherwise.

Endpoint: GET /price-check
Version: 1.0.0

## Query parameters:

  - `option_id` (string, required)
    Option Id needed for this price check request. Type: String, Example: '75731f0a2be62d7ffd64f4ec41a96793a918bc4003bedf17c44fcf823e80fd29'.

## Header parameters:

  - `authorization` (string, required)
    Authorization header with HMAC signature. Format: API-Key={key},Signature={hmac_signature},Timestamp={unix_timestamp}

## Response 200 fields (application/json):

  - `status` (string, required)
    Status after the price check.
    Enum: "AVAILABLE", "NOT AVAILABLE", "PRICE CHANGE", "POLICY CHANGE"

  - `price` (any)
    In case of price change the new pricing information.

  - `booking_id` (any)
    Booking id which is used as option id to make booking request.

## Response 401 fields (application/json):

  - `detail` (string, required)

## Response 403 fields (application/json):

  - `detail` (string, required)

## Response 422 fields (application/json):

  - `detail` (string, required)


